BASE64(1)

NAME
base64 - base64 encode/decode data and print to standard output

SYNOPSIS
base64 [OPTION]... [FILE]

DESCRIPTION

Base64 encode or decode FILE, or standard input, to standard output.

-w, --wrap=COLS
    Wrap encoded lines after COLS character (default 76). Use 0 to disable line wrapping.

-d, --decode
    Decode data.

-i, --ignore-garbage
    When decoding, ignore non-alphabet characters.

--help
    Display this help and exit.

--version
    Output version information and exit.

With no FILE, or when FILE is -, read standard input.

The data are encoded as described for the base64 alphabet in RFC 3548. When decoding, the input may contain newlines in addition to the bytes of the formal base64 alphabet. Use --ignore-garbage to attempt to recover from any other non-alphabet bytes in the encoded stream.

AUTHOR
Written by Simon Josefsson.

REPORTING BUGS
Report base64 bugs to bug-coreutils@gnu.org
GNU coreutils home page: <http://www.gnu.org/software/coreutils/>
General help using GNU software: <http://www.gnu.org/gethelp/>

COPYRIGHT
Copyright © 2009 Free Software Foundation, Inc. License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
The full documentation for base64 is maintained as a Texinfo manual. If the info and base64 programs are properly installed at your site, the command

    info coreutils 'base64 invocation'

should give you access to the complete manual.